// 数据维护
import React, { Component } from 'react';
import { Drawer, } from 'antd';
import CBData from './CBData'
import './style/index.less';
class CBDataModel extends Component {
    constructor(props) {
        super(props);
        this.state = {
            editdata: "",
            visible: false
        };
    }

    onClose = () => {
        this.setState({
            visible: false
        })
    }

    render() {
        return (
            <div className='cbdata-model-body'>
                <Drawer className='cbdata-model-body'
                    title={"数据维护--" + this.props.ClassTitle}
                    width={this.props.clientWidth}
                    onClose={this.onClose}
                    visible={this.state.visible}
                    destroyOnClose
                    style={{
                        overflow: 'hidden',
                        height: 'calc(100%)',
                        // paddingBottom: '108px',
                    }}>
                    <CBData ClassName={this.props.ClassName} ClassTitle={this.props.ClassTitle} />
                </Drawer>
            </div>
        );
    }
}

export default CBDataModel;